/*  custom-class und function.php */
/*  Breakpoints xs: 0, sm: 576px, md: 768px, lg: 992px, xl: 1200px, xxl: 1400px */


@font-face { font-family: "sabonbold"; src: 
  url("fonts/sabon_lt_std/SabonLTStd_Bold.eot"), url("fonts/sabon_lt_std/SabonLTStd_Bold.eot?#iefix") format("embedded-opentype"), 
  url("fonts/sabon_lt_std/SabonLTStd_Bold.ttf") format("truetype");}

@font-face { font-family: "sabonregular"; src: 
  url("fonts/sabon_lt_std/SabonLTStd_Roman.eot"), url("fonts/sabon_lt_std/SabonLTStd_Roman.eot?#iefix") format("embedded-opentype"), 
  url("fonts/sabon_lt_std/SabonLTStd_Roman.ttf") format("truetype"); }

@font-face { font-family: "sabonitalic"; src: 
  url("fonts/sabon_lt_std/SabonLTunteStd_Italic.eot"), url("fonts/sabon_lt_std/SabonLTStd_Italic.eot?#iefix") format("embedded-opentype"), 
  url("fonts/sabon_lt_std/SabonLTStd_Italic.ttf") format("truetype");}

@font-face { font-family: "sabonbolditalic"; src: 
  url("fonts/sabon_lt_std/SabonLTStd_BoldItalic.eot"), url("fonts/sabon_lt_std/SabonLTStd_BoldItalic.eot?#iefix") format("embedded-opentype"), 
  url("fonts/sabon_lt_std/SabonLTStd_BoldItalic.ttf") format("truetype"); }
  
 
body,html {font-family: 'Source Sans Pro', Arial, sans-serif;color:#666; }
h1,h2,h3,h4,h5,h6 
  {font-family:sabonitalic,serif;color:#666; 
    font-weight: lighter!important;letter-spacing: -0.5px;}
em {font-style: normal}
p {font-size:130%;}
h1.wp-block-post-title {padding:0 0 50px 0;}
     @media screen and (max-width:768px){ 
h1.wp-block-post-title {padding:0;}}


h1 {padding:40px 40% 30px 0;}
     @media screen and (max-width:768px){ 
h1 {padding:20px 20% 30px 0;}}

.home h1 {padding:20px 30% 30px 0;}
.submenu02 h2,
.submenu03 h2
 {padding:37px 0 20px 0;}
hr, h2 .gradient::after, h2::after ,h1::after {
  border:transparent!important;
height:1px;    content: ''; display: block;
background: -moz-linear-gradient(left, #bbb 0%, #eee 100%);
background: -webkit-linear-gradient(left, #bbb 0%,#eee 100%);
background: linear-gradient(to right, #bbb 0%, #eee 100%);} /* verlauf */

/* layout  */
.infoteil-box {width: 100%;height:100%;background:rgba(256, 256, 256, 0%);
  display: flex;flex-wrap: wrap; align-content: space-between;}

.projekt-slider-abstandoben {margin-top:20px!important;}

/* tabelle */
.infoteil-box .box {width: 100%; display: flex; flex-wrap: wrap;}
.infoteil-box .box * {padding-bottom:5px;}
.infoteil-box .box .left {flex:30%;}
.infoteil-box .box .right {flex:68%;}

/* home projekte: inhalt beitrag, alles weg ausser Tabelle */

.home .projekt-spalte .box {width: 300px; display: flex; flex-wrap: wrap;}
.home .projekt-spalte .left {flex:30%;}
.home .projekt-spalte .right {flex:68%;}
.home .bildteil,
.home .infoteil-box-unten {display:none;}

     @media screen and (max-width:1024px){ 
.home .infoteil-box .box * {font-size:70%;padding-bottom:0px;}
.home .projekt-spalte .left {flex:20%;}
.home .projekt-spalte .right {flex:60%;padding-right:20%;}}
     @media screen and (max-width:768px){
.home .projekt-spalte .box {width:100%;}
.home .infoteil-box .box * {padding-bottom:0px;}}

/* body {background:yellow;} */
header.wp-block-template-part {
    position: sticky; top: var(--wp-admin--admin-bar--height, 0); z-index: 10;}
a,a:link,a:visited {outline:none;}
a[target="_blank"]:not(figure a):not(.wp-block-button__link)::after {
  content: "\00a0\29C9"; }
a .logo-walther {position:absolute;z-index:100;background: url(../wd-logo_soft.png) center right no-repeat;
    height:20vw;width:20vw;top:60px;right:0;background-size: contain;}
a:hover .logo-walther{opacity:0.8;}
.home a .logo-walther {position:fixed;}
     @media screen and (max-width:768px){ 
a .logo-walther         {height:30vw;width:30vw;top:50px;z-index:20;}}
     @media screen and (max-width:500px){ 
a .logo-walther         {height:100px;width:100px;top:50px;z-index:20}} 

/* breadcrumb */
.breadcrumbhtml h6 {font-size:10px;font-family: Arial, sans-serif!important;}
.breadcrumbhtml {font-size:80%;margin-left:-20px!important;}
.breadcrumb-container  {margin-left:-55px;}
.breadcrumbhtml a {padding:0 15px 0 20px;}

  @media screen and (max-width: 1400px) {
.breadcrumbhtml {margin-left:-10px!important;}
.breadcrumb-container {margin-left:0px;}}

.breadprodukte,
.produkte .breadprojekte {display:none;}
.projekte .breadprojekte,
.produkte .breadprodukte {display:inline-block;}

/* formular */
form {font-size:14px;border-radius: 5px;}
label {display: block;}
input[type=text], input[type=email], select {
  width: 100%;padding: 12px;margin: 8px 0;
  display: inline-block;border: 1px solid #ccc;
  border-radius: 4px;box-sizing: border-box;}
input[type=submit] {
  width: 100%;background-color: #333;
  color: white;padding: 14px;margin: 8px 0;border: none;
  border-radius: 4px;cursor: pointer;}
input[type=submit]:hover {background-color: red;}

::-webkit-input-placeholder {font-size: 20px;}
::-moz-placeholder {font-size: 20px;}
:-ms-input-placeholder {font-size: 20px;}
::placeholder {font-size: 20px;}
textarea, select, input {font-size: 20px;font-family: 
  'Source Sans Pro', Arial, sans-serif; padding: 12px;  color: #666;}
.wpcf7-response-output {border:1px solid red!important;}
textarea {width: calc(100% - 30px);}

/* mainmenu 
header {display:none!important;}*/
.headertop .wp-block-navigation__submenu-icon {border:1px solid red;display:none;}

.headertop li.wp-block-navigation-item a,
.headertop.add li.wp-block-navigation-item a {padding:25px 20px 20px 20px;height:55px;color:black;}
.headertop.remove li.wp-block-navigation-item a {padding:15px 20px 20px 20px;height:55px;}
.headertop li.website-titel a,
.headertop.add li.website-titel a {padding:25px 20px 20px 20px;color:#666!important;line-height:40px;}
.headertop.remove li.website-titel a {padding:15px 20px 20px 20px;color:red!important;line-height:30px;}

a.wp-block-navigation-item__content:hover {color:red!important;}
.headertop .website-titel,
.headertop.add .website-titel {font-family:sabonitalic,serif;font-size:130%;float:left;}
.headertop.remove .website-titel {font-size:100%;}

li.website-titel a {padding-top:10px!important;padding-left:0px!important;}
    @media screen and (max-width: 1400px) {
li.website-titel a {padding-top:10px!important;padding-left:10px!important;}}

/* mainmenu highlight */

.produkte li.item02 a, .projekte li.item03 a, .kontakt li.item04 a
  {color:red!important; font-weight:bolder;display:block;background:transparent;}

/* submenumenu highlight */
.current-menu-item {font-weight:bold;}
.current-menu-item a {color:red!important;}

/* navigation onscroll */

.headertop li a, .wp-block-site-title a {color:black!important;}
.headertop,
.headertop.add {opacity:1;height:60px;background:rgba(246, 246, 246, 90%);}
.headertop.remove {opacity:1;height:50px;background:#fff!important;}

/* diverse Korrekturen */
.wp-block-query li {background:#fff;padding:0 20px 20px 20px;}
.wp-block-query li:hover {filter: saturate(1.5);color:#ddd;}
.home .wp-block-query li:hover {background:#ddd;color:black;}

.wp-block-query li:hover * {color:black;}
.rubriken .wp-block-column {background:#fff;padding:0}
.rubriken .wp-block-column:hover  {background:#f6f6f6;filter: saturate(1.5)}
.rubriken .wp-block-column h3 {padding:20px}
.rubriken .wp-block-tiptip-hyperlink-group-block * {margin:0px;} /* rand unten zu löschen */
.rubriken h3 {white-space: nowrap;}
ul.wp-block-navigation__submenu-container,
nav.wp-block-navigation button {display:none!important;}
.wp-block-post-featured-image img {object-fit: cover;border-radius: 0px;} /* runde ecken eliminieren */
.kachel {margin:0 40px;}

a {text-decoration:none;color: #666;}
a:hover {text-decoration:none;color: red;}

/* submenu margin links, rechts */
@media screen and (max-width: 992px) {
.submenu.has-global-padding.wp-block-group-is-layout-constrained div {margin:0 auto;}}
/* Legende einmitten */
figure.alignfull{text-align:center;} 
/* slider Abstand eliminieren */
.n2-section-smartslider {margin-top:-35px!important;}
/* abstände anpassen */
.submenu ul {padding:15px;}
@media screen and (max-width: 1400px) {
  .single *, .category *, .home * {padding:0px;}
  .single .wp-site-blocks,
  .category .wp-site-blocks,
  .category .wp-block-group {padding:0px;}
  .home .wp-site-blocks,
  .submenu ul {padding:0px;}
  .main-content, main, footer {padding:15px!important;}
  .n2-section-smartslider {margin-top:-24px!important;}
  .hero.rubriken, .hero.neueprojekte{margin-left:-15px!important;}
  .hero.neueprojekte div div,.hero.neueprojekte h2 {padding:30px 10px;}
  .hero.neueprojekte div div div {padding:0px;}
  .hero.rubriken h2 {padding:30px 10px;}
}

/*  submenu in navigation: submenu01 = desktop | submenu-01 = responsive  */

.submenu01,  .submenu02,  
.submenu03 { visibility: hidden; opacity:0; width:100%;position:absolute!important;
    top:0px;padding:20px;margin-top:-10px;min-height:calc(40vh - 0px);background:white;}

.submenu ul {margin:0;padding:0;}   
.submenu ul {margin:0;padding:0;}   

.submenu01:hover,  .submenu02:hover,  
.submenu03:hover {display:none;}

.submenu01.displayblock, .submenu02.displayblock, 
.submenu03.displayblock {
    opacity: 1; visibility: visible;}

.submenu01:hover, .submenu02:hover, 
.submenu03:hover {
     opacity: 1; visibility: visible;display:block;}


/* responsive korrekturen */
 
.hamburger {position:absolute;z-index:20;right:10px!important;top:-5px;font-size:30px;}
.hamburger::after {content:"☰";}
.hamburger-on::after {content: "✕"}

.responsivemenu {visibility: hidden; width:100%;height:100vh;background: linear-gradient(to right, #eee 0%, #fff 50%, rgba(256,256,256,0.6) 100%);;
  position:absolute;z-index:10; top:40px;left:0;padding-left:0px;padding-top: 0px!important;}
.responsivemenu * {text-decoration: none}
.displaynone {  visibility: hidden;}
.displayblock {  visibility: visible;}
.sub:hover {display: block;visibility: visible;}

/* responsive submenu: overlaymenu: immer aus */

.submenu-01,.submenu-02,
.submenu-03,.submenu-04 
  {font-size:18px;display: none;opacity: 1;margin-top:0px;padding: 0px 15px;}
.menu-item-01,.menu-item-02,
.menu-item-03,.menu-item-04 
  {font-size:18px;cursor: pointer; padding: 0px 15px;margin-right:40%!important;width:60%;}

.menu-item-01:hover,.menu-item-02:hover,
.menu-item-03:hover,.menu-item-04:hover 
  {color:red;}
   
.menu-item-01:hover + .submenu-01, 
.menu-item-02:hover + .submenu-02,
.menu-item-03:hover + .submenu-03, 
.menu-item-04:hover + .submenu-04 
  {display: block;opacity: 1;padding:10px 0 10px 20px;}
.submenu-01:hover,.submenu-02:hover, 
.submenu-03:hover,.submenu-04:hover 
  {display: block;opacity: 1;padding:10px 0 10px 20px;}

.produkte .menu-item-02, .projekte .menu-item-03, .kontakt .menu-item-04
  {color:red!important; font-weight:bolder;display:block;background:transparent;}

footer ul, footer p, footer li a, footer li {margin:0!important;padding:0!important;list-style:none;}
footer, footer p {font-size:95%;}

.wp-block-post-date::before {content: "Letztes Update:"}

#moove_gdpr_cookie_info_bar { border:transparent!important; }
#moove_gdpr_cookie_info_bar p { color:#555!important;}

nav * {text-indent: 0} /* Einrücken auf Chorme korrigiert */


